# Class RichTextClipboardData

java.lang.Object
com.codename1.ui.ClipboardContent
com.codename1.ui.RichTextClipboardData

public final class RichTextClipboardData extends ClipboardContent
Clipboard content with both a plain-text fallback and optional rich representations. Platform ports may return this from `Display#getPasteDataFromClipboard()` when the native clipboard exposes multiple MIME types. Applications may also pass it to `Display#copyToClipboard(Object)` for rich round-tripping inside the application.

- ## Field Summary

  ### Fields inherited from class ClipboardContent

  `MIME_ASCIIDOC, MIME_FILE, MIME_GIF, MIME_HTML, MIME_JPEG, MIME_MARKDOWN, MIME_PNG, MIME_RTF, MIME_TEXT, MIME_URI_LIST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichTextClipboardData(String plainText)`
  Creates clipboard data with a required plain-text fallback.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsciiDoc()`
  `String`
  `getContent(RichTextFormat format)`
  Returns the content for the requested format.
  `String`
  `getHtml()`
  `String`
  `getMarkdown()`
  `String`
  `getPlainText()`
  `RichTextFormat`
  `getPreferredFormat()`
  Returns the richest available format, preferring native rich formats over lightweight markup.
  `String`
  `getRtf()`
  `RichTextClipboardData`
  `setAsciiDoc(String value)`
  `RichTextClipboardData`
  `setHtml(String value)`
  `RichTextClipboardData`
  `setMarkdown(String value)`
  `RichTextClipboardData`
  `setPlainText(String value)`
  `RichTextClipboardData`
  `setRtf(String value)`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class ClipboardContent

  `findPreferredMimeType, getBytes, getData, getFiles, getMimeTypes, getText, hasMimeType, setData, setDataProvider, setFiles`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RichTextClipboardData

    public RichTextClipboardData(String plainText)
    Creates clipboard data with a required plain-text fallback.

- ## Method Details

  - ### getPlainText

    public String getPlainText()

  - ### setPlainText

    public RichTextClipboardData setPlainText(String value)

  - ### getHtml

    public String getHtml()

  - ### setHtml

    public RichTextClipboardData setHtml(String value)

  - ### getRtf

    public String getRtf()

  - ### setRtf

    public RichTextClipboardData setRtf(String value)

  - ### getMarkdown

    public String getMarkdown()

  - ### setMarkdown

    public RichTextClipboardData setMarkdown(String value)

  - ### getAsciiDoc

    public String getAsciiDoc()

  - ### setAsciiDoc

    public RichTextClipboardData setAsciiDoc(String value)

  - ### getPreferredFormat

    public RichTextFormat getPreferredFormat()
    Returns the richest available format, preferring native rich formats over lightweight markup.

  - ### getContent

    public String getContent(RichTextFormat format)
    Returns the content for the requested format.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`